godo.Nfs.ListAccessPoints()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.Nfs.ListAccessPoints(ctx context.Context, shareID string, opts *godo.NfsListAccessPointsOptions) ([]*godo.NfsAccessPoint, *godo.Response, error)Description
ListAccessPoints returns all access points for a share.
This method sends a GET request to /v2/nfs/shares/{}/access_points.
Parameters
shareIDstring requiredopts*godo.NfsListAccessPointsOptions
Fields of godo.NfsListAccessPointsOptions
NfsListAccessPointsOptions represents filters for listing access points.
Statusgodo.NfsAccessPointStatus
Returns
- []*godo.NfsAccessPoint
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.NfsAccessPoint
NfsAccessPoint represents an NFS access point.
IDstringNamestringShareIDstringPathstringStatusgodo.NfsAccessPointStatusAccessPolicygodo.NfsAccessPolicyCreatedAtstringUpdatedAtstringIsDefaultboolVpcID*stringVpcIDs[]string
Request Sample
Response Example
More Information
See GET /v2/nfs/shares/{}/access_points in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.